Package de.willuhn.jameica.hbci.schedule

# Class ScheduleProviderFactory

java.lang.Object
de.willuhn.jameica.hbci.schedule.ScheduleProviderFactory

public class ScheduleProviderFactory extends Object
Factory zum bequemen Erzeugen eines Schedule-Providers anhand des konkreten Typs.

## Constructor Summary

Constructors
Constructor
Description
`ScheduleProviderFactory()`

## Method Summary

Modifier and Type
Method
Description
`static ScheduleProvider`
`getScheduleProvider(Class<? extends HibiscusDBObject> type)`
Liefert den Schedule-Provider fuer den angegebenen Typ.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ScheduleProviderFactory

public ScheduleProviderFactory()

## Method Details

### getScheduleProvider

public static ScheduleProvider getScheduleProvider(Class<? extends HibiscusDBObject> type)
Liefert den Schedule-Provider fuer den angegebenen Typ.

Parameters:
  `type` - der konkrete Typ.
Returns:
  der Schedule-Provider oder NULL, wenn er nicht existiert.